subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Ivanov <peter...@googlemail.com>
Subject Make-Error with Solaris 8 and Subversion 1.6.9
Date Fri, 26 Mar 2010 12:20:49 GMT
Hello folks... (at first sorry if my english is  not the best)


I'm getting the following error during make:

ld: warning: file ../../subversion/libsvn_wc/.libs/libsvn_wc-1.so: linked to
/subversion-1.6.9/subversion/libsvn_wc/.libs/libsvn_wc-1.so: attempted
multiple inclusion of file
ld: warning: file ../../subversion/libsvn_ra/.libs/libsvn_ra-1.so: linked to
/subversion-1.6.9/subversion/libsvn_ra/.libs/libsvn_ra-1.so: attempted
multiple inclusion of file
ld: warning: file ../../subversion/libsvn_delta/.libs/libsvn_delta-1.so:
linked to /subversion-1.6.9/subversion/libsvn_delta/.libs/libsvn_delta-1.so:
attempted multiple inclusion of file
ld: warning: file ../../subversion/libsvn_diff/.libs/libsvn_diff-1.so:
linked to /subversion-1.6.9/subversion/libsvn_diff/.libs/libsvn_diff-1.so:
attempted multiple inclusion of file
ld: warning: file ../../subversion/libsvn_subr/.libs/libsvn_subr-1.so:
linked to /subversion-1.6.9/subversion/libsvn_subr/.libs/libsvn_subr-1.so:
attempted multiple inclusion of file
Undefined                       first referenced
 symbol                             in file
libintl_bind_textdomain_codeset
/subversion-1.6.9/subversion/libsvn_subr/.libs/libsvn_subr-1.so
libintl_dngettext                   info-cmd.o
libintl_bindtextdomain
/subversion-1.6.9/subversion/libsvn_subr/.libs/libsvn_subr-1.so
libintl_dgettext                    blame-cmd.o
ld: fatal: Symbol referencing errors. No output written to .libs/svn
collect2: ld returned 1 exit status
*** Error code 1
make: Fatal error: Command failed for target `subversion/svn/svn'

I have the newest libintl from Sunfreeware.com. Another problem is
./autogen.sh's output:


buildcheck: checking installation...
buildcheck: autoconf version 2.65 (ok)
buildcheck: autoheader not found.
            You need autoheader version 2.50 or newer installed.

I've installed the newest autoconf, and autoheader is part of that. where is
the problem???

Mime
View raw message